const shell = require('shelljs');
const Message = require('./message');

function gitCreator(projectDir) {
  if (!shell.which('git')) {
    Message.error('Sorry, this script requires git');
    shell.exit(1);
  }else {
    shell.cd(projectDir);
    if (shell.exec('git init').code !== 0) {
      Message.error('Error: Git init failed');
      shell.exit(1);
    }else {
      Message.succeed('Succeed! Enjoy develop :)');
      Message.succeed(`now you can cd to ${projectDir} and start develop`);
    }
  }
}

module.exports = gitCreator;
