const chalk = require('chalk');
const error = chalk.bold.red;
const succeed = chalk.bold.green;
const msg = chalk.bold.grey;

const Message = {
  error: function(message) {
    console.log(error(message));
  },
  succeed: function(message) {
    console.log(succeed(message));
  },
  message: function(message) {
    console.log(msg(message));
  }
}

module.exports = Message;
